Package org.eclipse.gef.dot.internal.ui

# Class DotProperties

java.lang.Object
org.eclipse.gef.dot.internal.ui.DotProperties

public class DotProperties extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static String`
`INNER_SHAPE__N`
`static String`
`INNER_SHAPE_DISTANCE__N`

## Constructor Summary

Constructors
Constructor
Description
`DotProperties()`

## Method Summary

Modifier and Type
Method
Description
`static javafx.scene.Node`
`getHtmlLikeExternalLabel(org.eclipse.gef.graph.Edge edge)`
`static javafx.scene.Node`
`getHtmlLikeExternalLabel(org.eclipse.gef.graph.Node node)`
`static javafx.scene.Node`
`getHtmlLikeLabel(org.eclipse.gef.graph.Edge edge)`
`static javafx.scene.Node`
`getHtmlLikeLabel(org.eclipse.gef.graph.Node node)`
`static javafx.scene.Node`
`getHtmlLikeSourceLabel(org.eclipse.gef.graph.Edge edge)`
`static javafx.scene.Node`
`getHtmlLikeTargetLabel(org.eclipse.gef.graph.Edge edge)`
`static void`
`setHtmlLikeExternalLabel(org.eclipse.gef.graph.Edge edge, javafx.scene.Node htmlLikeLabel)`
`static void`
`setHtmlLikeExternalLabel(org.eclipse.gef.graph.Node node, javafx.scene.Node htmlLikeLabel)`
`static void`
`setHtmlLikeLabel(org.eclipse.gef.graph.Edge edge, javafx.scene.Node htmlLikeLabel)`
`static void`
`setHtmlLikeLabel(org.eclipse.gef.graph.Node node, javafx.scene.Node htmlLikeLabel)`
`static void`
`setHtmlLikeSourceLabel(org.eclipse.gef.graph.Edge edge, javafx.scene.Node htmlLikeLabel)`
`static void`
`setHtmlLikeTargetLabel(org.eclipse.gef.graph.Edge edge, javafx.scene.Node htmlLikeLabel)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INNER_SHAPE__N

public static String INNER_SHAPE__N

### INNER_SHAPE_DISTANCE__N

public static String INNER_SHAPE_DISTANCE__N

## Constructor Details

### DotProperties

public DotProperties()

## Method Details

### getHtmlLikeExternalLabel

public static javafx.scene.Node getHtmlLikeExternalLabel(org.eclipse.gef.graph.Edge edge)

### getHtmlLikeExternalLabel

public static javafx.scene.Node getHtmlLikeExternalLabel(org.eclipse.gef.graph.Node node)

### getHtmlLikeLabel

public static javafx.scene.Node getHtmlLikeLabel(org.eclipse.gef.graph.Edge edge)

### getHtmlLikeLabel

public static javafx.scene.Node getHtmlLikeLabel(org.eclipse.gef.graph.Node node)

### getHtmlLikeSourceLabel

public static javafx.scene.Node getHtmlLikeSourceLabel(org.eclipse.gef.graph.Edge edge)

### getHtmlLikeTargetLabel

public static javafx.scene.Node getHtmlLikeTargetLabel(org.eclipse.gef.graph.Edge edge)

### setHtmlLikeExternalLabel

public static void setHtmlLikeExternalLabel(org.eclipse.gef.graph.Edge edge, javafx.scene.Node htmlLikeLabel)

### setHtmlLikeExternalLabel

public static void setHtmlLikeExternalLabel(org.eclipse.gef.graph.Node node, javafx.scene.Node htmlLikeLabel)

### setHtmlLikeLabel

public static void setHtmlLikeLabel(org.eclipse.gef.graph.Edge edge, javafx.scene.Node htmlLikeLabel)

### setHtmlLikeLabel

public static void setHtmlLikeLabel(org.eclipse.gef.graph.Node node, javafx.scene.Node htmlLikeLabel)

### setHtmlLikeSourceLabel

public static void setHtmlLikeSourceLabel(org.eclipse.gef.graph.Edge edge, javafx.scene.Node htmlLikeLabel)

### setHtmlLikeTargetLabel

public static void setHtmlLikeTargetLabel(org.eclipse.gef.graph.Edge edge, javafx.scene.Node htmlLikeLabel)